[Xfce4-commits] [thunar-plugins/thunar-archive-plugin] 03/03: Add preliminary support to engrampa

noreply at xfce.org noreply at xfce.org
Wed Dec 6 04:03:19 CET 2017


This is an automated email from the git hooks/post-receive script.

a   n   d   r   e       p   u   s   h   e   d       a       c   o   m   m   i   t       t   o       b   r   a   n   c   h       m   a   s   t   e   r   
   in repository thunar-plugins/thunar-archive-plugin.

commit 631c14c1750e8bc7a37bc0bd1b4fee26d6adc381
Author: Andre Miranda <andreldm at xfce.org>
Date:   Wed Dec 6 00:02:33 2017 -0300

    Add preliminary support to engrampa
---
 scripts/Makefile.am  |  3 ++-
 scripts/engrampa.tap | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 1 deletion(-)

diff --git a/scripts/Makefile.am b/scripts/Makefile.am
index a46012f..e320358 100644
--- a/scripts/Makefile.am
+++ b/scripts/Makefile.am
@@ -1,8 +1,9 @@
 # $Id$
 
 wrapperdir = $(libexecdir)/thunar-archive-plugin
-wrapper_SCRIPTS =							\
+wrapper_SCRIPTS= 						\
 	ark.tap								\
+	engrampa.tap						\
 	file-roller.tap
 
 # Install symlink to 'gnome-file-roller.tap'
diff --git a/scripts/engrampa.tap b/scripts/engrampa.tap
new file mode 100644
index 0000000..1081d7c
--- /dev/null
+++ b/scripts/engrampa.tap
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# vi:set et ai sw=2 sts=2 ts=2:
+# -
+# engrampa.tap - Wrapper script to create and extract archive files in Thunar,
+#                via the thunar-archive-plugin, using the engrampa archive
+#                manager.
+#
+# Copyright (c) 2017 Andre Miranda <andreldm at xfce.org>
+#
+# This program is free software; you can redistribute it and/or 
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of 
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public 
+# License along with this program; if not, write to the Free 
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# determine the action and the folder, $@ then contains only the files
+action=$1; shift;
+folder=$1; shift;
+
+# check the action
+case $action in
+create)
+	exec engrampa --default-dir="$folder" --add "$@"
+	;;
+
+extract-here)
+	exec engrampa --extract-to="$(pwd)" --extract-here --force "$@"
+	;;
+
+extract-to)
+	exec engrampa --extract "$@"
+	;;
+
+*)
+	echo "Unsupported action '$action'" >&2
+	exit 1
+esac
+

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Xfce4-commits mailing list